Description

I'm attempting to integrate rundeck with our current foreman environment. Based on the guide
"http://theforeman.org/projects/foreman/wiki/Rundeck_Integration" | attempted to use the "Basic setup" method. However, when |
browse to the following URL (when testing this URL is changed to reflect my environment)

http://&lt;foremanuser&gt;:&lt;foremanpasswd&gt;@foreman.mydomain.local/hosts ?rundeck=true&format=yaml

This returns an HTTP 500 from the server - here is the output from the production log:

Processing HostsController#index to yaml (for 128.206.43.76 at 2011-11-01 08:40:43) [GET]

Parameters: {"format"=>"yaml", "action"=>"index", "controller"=>"hosts", "rundeck"=>"true"}

ActiveRecord::MissingAttributeError (missing attribute: hostgroup_id):

app/controllers/hosts_controller.rb:46:in “index’

app/controllers/hosts_controller.rb:35:in “index’
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/rack/request_handler.rb:96:in “process_request'
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_request_handler.rb:513:in
‘accept_and_process_next_request'
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_request_handler.rb:274:in “main_loop'
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/classic_rails/application_spawner.rb:321:in
“start_request_handler'
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/classic_rails/application_spawner.rb:275:in “send'
/ust/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/classic_rails/application_spawner.rb:275:in
“handle_spawn_application’

/ust/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/utils.rb:479:in “safe_fork'
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/classic_rails/application_spawner.rb:270:in
“handle_spawn_application’
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:357:in °__send__'
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:357:in “server_main_loop'
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:206:in “start_synchronously’'
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:180:in “start'
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/classic_rails/application_spawner.rb:149:in “start'
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/spawn_manager.rb:219:in “spawn_rails_application'
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server_collection.rb:132:in “lookup_or_add'
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/spawn_manager.rb:214:in “spawn_rails_application'
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server_collection.rb:82:in “synchronize'
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server_collection.rb:79:in “synchronize'
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/spawn_manager.rb:213:in “spawn_rails_application'
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/spawn_manager.rb:132:in “spawn_application’
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/spawn_manager.rb:275:in “handle_spawn_application'
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:357:in"__send_'
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:357:in “server_main_loop'
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/lib/phusion_passenger/abstract_server.rb:206:in “start_synchronously'
/usr/lib64/ruby/gems/1.8/gems/passenger-3.0.7/helper-scripts/passenger-spawn-server:99

Rendering /usr/share/foreman/public/500.html (500 Internal Server Error)
http://&lt;foremanuser&gt;:&lt;foremanpasswd&gt;@foreman.mydomain.local/hosts?rundeck=true&format=yaml

History

#1 - 11/01/2011 09:45 AM - Luke Baker

Rundeck version: 1.4.0
Foreman version: 0.3

#2-11/01/2011 10:22 AM - Ohad Levy

rundeck is supported from 0.4rc+

Ohad

#3 - 01/29/2012 08:13 AM - Ohad Levy

- Status changed from New to Rejected
